//arduino uno - receiver
int ledPin = 9;

void setup() {
  Serial.begin(9600);  // Initialize serial communication
  pinMode(ledPin, OUTPUT);
}

void loop() {
  if (Serial.available() > 0) {
    int potValue = Serial.parseInt();  // Read the incoming potentiometer value
    potValue = map(potValue, 0, 1023, 0, 255);  // Map the potentiometer value to LED brightness range (0-255)
    analogWrite(ledPin, potValue);  // Set the LED brightness
  }
}



