#include <WiFi.h> 
#include <ThingESP.h>
#include <ESP32Servo.h> // call the library for servo control.
Servo myservo1;  //Here we are creating an object associated with the servo library.

#define servo1 12  // ESP32 pin GIOP12 


ThingESP32 thing("FENR77", "Pianonator", "Favlab");

unsigned long previousMillis = 0;
const long INTERVAL = 6000;  

void setup()
{
  Serial.begin(115200);
  myservo1.attach(servo1); 
  thing.SetWiFi("FENR", "fenr7777");
  thing.initDevice();
  //myservo1.write(0); //the servo will move to 0°.
  delay(1000);
}


String HandleResponse(String query)
{
  String finger_1 = "Finger 1 moved";
  Serial.println(query);
  if (query == "finger1") //Message recieved in WA
  {
    myservo1.write(0); //the servo will move to 0°.
    delay(1000);
    myservo1.write(90); //the servo will move to 0°.
    delay(1000);
    return finger_1;
  }
  else return "Your query was invalid..";
}

void loop()
{ 
  thing.Handle();
}